MultiTableDeleteExecutor (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.hql.internal.ast.exec
Class MultiTableDeleteExecutor

    java.lang.Object
      org.hibernate.hql.internal.ast.exec.AbstractStatementExecutor
          org.hibernate.hql.internal.ast.exec.MultiTableDeleteExecutor

All Implemented Interfaces:
  StatementExecutor

    public class MultiTableDeleteExecutor

extends AbstractStatementExecutor

Implementation of MultiTableDeleteExecutor.

Constructor Summary
`MultiTableDeleteExecutor(HqlSqlWalker walker)`

Method Summary
`int` | `execute(QueryParameters parameters, SessionImplementor session)` Execute the sql managed by this executor using the given parameters.
`protected Queryable[]` | `getAffectedQueryables()`
`String[]` | `getSqlStatements()`

Methods inherited from class org.hibernate.hql.internal.ast.exec.AbstractStatementExecutor
`coordinateSharedCacheCleanup, createTemporaryTableIfNecessary, dropTemporaryTableIfNecessary, generateIdInsertSelect, generateIdSubselect, getFactory, getIdSelectParameterSpecifications, getWalker, shouldIsolateTemporaryTableDDL`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MultiTableDeleteExecutor

    public MultiTableDeleteExecutor(HqlSqlWalker walker)

Method Detail

### getSqlStatements

    public String[] getSqlStatements()

### execute

    public int execute(QueryParameters parameters,
                       SessionImplementor session)
                throws HibernateException

  Description copied from interface: `StatementExecutor`
  Execute the sql managed by this executor using the given parameters.

  Parameters:
    `parameters` - Essentially bind information for this processing.
    `session` - The session originating the request.
  Returns:
    The number of entities updated/deleted.
  Throws:
    `HibernateException`

### getAffectedQueryables

    protected Queryable[] getAffectedQueryables()

  Specified by:
    `getAffectedQueryables` in class `AbstractStatementExecutor`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.